Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.stmt.oracle
Class TPlsqlCreateTrigger

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.TCustomSqlStatement
              gudusoft.gsqlparser.stmt.TBlockSqlStatement
                  gudusoft.gsqlparser.stmt.TStoredProcedureSqlStatement
                      gudusoft.gsqlparser.stmt.oracle.TOracleStoredProcedureSqlStatement
                          gudusoft.gsqlparser.stmt.oracle.TPlsqlCreateTrigger

All Implemented Interfaces:
  Visitable

    public class TPlsqlCreateTrigger

extends TOracleStoredProcedureSqlStatement

The CREATE TRIGGER statement creates or replaces a database trigger, which is either of the following:

- A stored PL/SQL block associated with a table, a schema, or the database.
- An anonymous PL/SQL block or a call to a procedure implemented in PL/SQL or Java.

the database automatically executes a trigger when specified conditions occur.

Field Summary

Fields inherited from class gudusoft.gsqlparser.TCustomSqlStatement
`dbvendor, dummytag, joins, parser, plsqlparser, rootNode, sourcetokenlist, sqlstatementtype, tables`

Constructor Summary
`TPlsqlCreateTrigger(EDbVendor dbvendor)`

Method Summary
`void` | `accept(TParseTreeVisitor v)`
`int` | `doParseStatement(TCustomSqlStatement psql)`
`TParseTreeNode` | `getEventClause()` Indicates what's kind of trigger, can be one of these: `TSimpleDmlTriggerClause`,define a single trigger on a DML event. `TCompoundDmlTriggerClause`,define a compound trigger on a DML event. `TNonDmlTriggerClause`,define a single trigger on a DDL or database event.
`TObjectName` | `getStoredProcedureName()`
`TCustomSqlStatement` | `getTriggerBody()` the PL/SQL block, PL/SQL compound trigger block, `TPlsqlBlock`
`TObjectName` | `getTriggerName()` The name of the trigger to be created.
`TExpression` | `getWhenCondition()` A SQL condition that must be satisfied for the database to fire the trigger.

Methods inherited from class gudusoft.gsqlparser.stmt.oracle.TOracleStoredProcedureSqlStatement
`getExceptionClause, isWrapped, setExceptionClause, setWrapped`

Methods inherited from class gudusoft.gsqlparser.stmt.TStoredProcedureSqlStatement
`getDeclareStatements, getParameterDeclarations, setParameterDeclarations`

Methods inherited from class gudusoft.gsqlparser.stmt.TBlockSqlStatement
`getBodyStatements`

Methods inherited from class gudusoft.gsqlparser.TCustomSqlStatement
`addWhereClause, analyzeFromTable, analyzeJoin, analyzeTablename, checkNonQualifiedColumnReferenceInSubQueryOfUplevelStmt, getCteList, getErrorCount, getLabelName, getOutputClause, getParentStmt, getResultColumnList, getReturningClause, getStatements, getSymbolTable, getTargetTable, getTopClause, getTopStatement, getWhereClause, isnzplsql, isoracleplsql, ispgplsql, linkColumnReferenceToTable, locateVariableOrParameter, OracleStatementCanBeSeparatedByBeginEndPair, parsestatement, setCteList, setLabelName, setOutputClause, setParentStmt, setResultColumnList, setReturningClause, setTargetTable, setTopClause, setWhereClause`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TPlsqlCreateTrigger

    public TPlsqlCreateTrigger(EDbVendor dbvendor)

Method Detail

### getStoredProcedureName

    public TObjectName getStoredProcedureName()

  Overrides:
    `getStoredProcedureName` in class `TStoredProcedureSqlStatement`

### doParseStatement

    public int doParseStatement(TCustomSqlStatement psql)

  Overrides:
    `doParseStatement` in class `TOracleStoredProcedureSqlStatement`

### getTriggerName

    public TObjectName getTriggerName()

  The name of the trigger to be created.

  Returns:

### getEventClause

    public TParseTreeNode getEventClause()

  Indicates what's kind of trigger, can be one of these:
  - `TSimpleDmlTriggerClause`,define a single trigger on a DML event.
  - `TCompoundDmlTriggerClause`,define a compound trigger on a DML event.
  - `TNonDmlTriggerClause`,define a single trigger on a DDL or database event.

  Returns:

### getWhenCondition

    public TExpression getWhenCondition()

  A SQL condition that must be satisfied for the database to fire the trigger.

### getTriggerBody

    public TCustomSqlStatement getTriggerBody()

  the PL/SQL block, PL/SQL compound trigger block, `TPlsqlBlock`

  or call procedure that the database executes to fire the trigger.

  Returns:

### accept

    public void accept(TParseTreeVisitor v)

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `TParseTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD